body {
    margin: 0;
    padding: 0;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

a, a:visited, a:hover, a:active {
    color: inherit;
}

.topbar-container {
    background-color: darkgray;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0;
    padding: 0 20px;
    height: 50px;
}

#cms-logo {
    text-decoration: none;
}

.transparent-button {
    border: none;
    margin: 0 10px;
    padding: 5px 0 0 0;
    background-color: transparent;
    cursor: pointer;
}

#topbar-notification {
    width: 30px;
    height: 30px;
}

#topbar-items {
    display: flex;
    list-style: none;
    align-items: center;
    padding: 0 10px;
}

#topbar-account {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#profile-picture {
    width: 30px;
    height: 30px;
}

#new-message {
    padding: 0;
    color: rgba(255, 255, 255, 0);
    overflow: hidden;
    white-space: nowrap;
    font-size: 10px;
    text-align: center;
    position: absolute;
    top: 5px;
    left: 28px;
    height: 10px;
    width: 10px;
    border-radius: 5px;
    background-color: red;
    z-index: 999;
}

.dropdown:hover #new-message {
    animation: newMessage 5s;
}

@keyframes newMessage {
    0% {
        width: 10px;
        height: 10px;
    }
    5% {
        color: rgba(255, 255, 255, 0);
    }
    10% {
        width: 110px;
        height: 15px;
    }
    15% {
        color: rgba(255, 255, 255, 1);
    }
    85% {
        color: rgba(255, 255, 255, 1);
    }
    90% {
        width: 110px;
        height: 15px;
    }
    95% {
        color: rgba(255, 255, 255, 0);
    }
    100% {
        width: 10px;
        height: 10px;
    }
}

.dropdown {
    position: relative;
}

.dropdown-notification {
    display: none;
    background-color: whitesmoke;
    position: absolute;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    width: 400px;
    left: -200px;
    padding: 10px;
}

.dropdown-notification-item {
    display: flex;
    align-items: center;
    margin: 10px 0;
    padding: 0;
}

.notification-user-icon {
    width: 30px;
    height: 30px;
}

.notification-profile-block{
    margin: 0;
    padding: 0;
    width: 25%;
    text-align: center;
}

.notification-text {
    margin: 0;
    padding: 5px;
    border-radius: 5px;
    background-color: rgb(194, 194, 194);
}

.dropdown-account {
    display: none;
    background-color: whitesmoke;
    position: absolute;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    width: 100px;
    padding: 10px;
}

.dropdown-content {
    margin: 0;
    padding: 5px;
}

.dropdown:hover .dropdown-notification {
    display: block;
}

.dropdown:hover .dropdown-account {
    display: block;
}

#main {
    display: flex;
    justify-content: space-between;
    padding: 20px 20px;
}

#navbar-container {
    margin: 0 10px;
}

#navbar-list {
    list-style: none;
    margin: 0;
    padding: 0;
}

.navbar-list-item {
    margin: 10px 0;
    font-size: 16px;
}

#table-container {
    margin: 0 0 0 10px;
}

#header-container {
    padding: 0;
    margin: 0 0 10px;
}

#add-button-container {
    margin: 10px 0;
    text-align: end;
}

#add-button {
    border: 2px solid rgb(80, 80, 80);
    border-radius: 3px;
    padding: 10px 13px 8px 13px;
    margin: 0;
}

.button-image {
    width: 15px;
    height: 15px;
}

#main-table {
    margin: 10px 0;
    width: 1000px;
    border-collapse: collapse;
}

.checkbox-btn {
    height: 20px;
    width: 20px;
}

.status-btn {
    height: 20px;
    width: 20px;
    border-color: rgb(88, 88, 88);
    background-color: rgb(88, 88, 88);
}

table input[type='radio'] {
    appearance: none;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    border-color: rgb(189, 189, 189);
    background-color: rgb(189, 189, 189);
}

table input[type='radio']:checked {
    appearance: none;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    border-color: rgb(22, 121, 13);
    background-color: rgb(22, 121, 13);
}

.options-btn {
    margin: 2px;
    border: 2px solid rgb(80, 80, 80);
    border-radius: 3px;
    padding: 6px 8px 3px;
    background-color: transparent;
    cursor: pointer;
}

td, th {
    text-align: center;
    border: 2px solid black;
    font-weight: bold;
    height: 50px;
}

td {
    font-weight: bold;
    font-size: 15px;
}

th {
    font-weight: normal;
    font-size: 12px;
}

#move-buttons-container {
    margin: 30px 0 0 0;
    justify-content: center;
    align-items: center;
    display: flex;
}

.move-buttons {
    background-color: white;
    border-color: gray;
    margin: 3px;
    padding: 1px 4px;
    height: 30px;
    width: 30px;
}

.dialog-class {
    padding: 0;
    border: 2px solid gray;
    border-radius: 10px;
}

.dialog-top {
    border-bottom: 2px solid gray;
    display: flex;
    justify-content: space-between;
    font-weight: bold;
    margin: 0;
    padding: 10px;
}

.dialog-top p {
    margin: 0;
    padding: 0;
}

#delete-dialog-inside {
    margin: 0;
    padding: 50px 10px;
    font-weight: bold;
}

#info-dialog-inside {
    margin: 0;
    padding: 20px 70px;
    display: flex;
}

.info-dialog-content-inside {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: start;
    margin: 10px;
}

.dialog-bottom {
    border-top: 2px solid gray;
    display: flex;
    justify-content: right;
    margin: 0;
    padding: 10px;
}

.dialog-button {
    background-color: white;
    border: 1px solid gray;
    border-radius: 0px;
    margin: 0;
}
